Bug 124007 - Installer fails during /sbin/loader
Installer fails during /sbin/loader
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 17:01 EDT by jonathon jongsma
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jonathon jongsma 2004-05-22 17:01:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
I'm trying to install FC2 on my Dell Dimension 2300.  The installer
won't even start.  Output below.

Fedora Core 1 was working fine on this computer

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert FC2 disc 1
2. Turn on power
3. Hit enter
    

Actual Results:  Installer hangs.  Pressing ctrl-C 'wakes up' the
computer, which then proceeds to reset

Expected Results:  Installer works correctly

Additional info:

Last lines of output during boot:

running /sbin/loader
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<c011c77c>]    Not tainted
EFLAGS: 00010202   (2.6.5-1.358)
EIP is at __request_resource+0x24/0x41
eax: 17a9f001   ebx: d71618dc   ecx: c02d013c   edx: c0004014
esi: e60803ff   edi: e6080000   ebp: e6080000   esp: d7773ed8
ds: 007b   es: 007b   ss: 0068
Process loader (pid: 209, threadinfo=d7773000 task=d7a9c130)
Stack: d71618dc c02d013c d71618f8 c011ca18 d71618dc 00000400 d88a4d60
00000000
       c1360c00 e6080000 c021c217 d88a4ce0 d7806e80 00000400 d88a4d60
d7c6ee00
       c016e078 c1360c00 d88a6240 ffffffed 00000000 c0199196 c1360c00
d88a6240
Call Trace:
 [<c011ca18>] __request_region+0x56/0x79
 [<c021c217>] usb_hcd_pci_probe+0xc6/0x3bd
 [<c016e078>] create_dir+0x76/0x8d
 [<c0199196>] pci_device_probe_static+0x2a/0x3d
 [<c01991c4>] __pci_device_probe+0x1b/0x2c
 [<c01991f0>] pci_device_probe+0x1b/0x2d
 [<c01dcbaf>] bus_match+0x27/0x45
 [<c01dcc7b>] driver_attach+0x37/0x6a
 [<c01dce8d>] bus_add_driver+0x6a/0x81
 [<c01dd173>] driver_register+0x28/0x2c
 [<c0199315>] pci_register_driver+0x4b/0x67
 [<d88d9018>] init+0x18/0x23 [ehci_hcd]
 [<c0129c15>] sys_init_module+0xe7/0x1bd
 [<c0287147>] syscall_call+0x7/0xb
 [<c028007b>] copy_to_user_tmpl+0xe0/0x10f

Code: 39 70 04 76 0c 89 43 14 31 c0 89 1a 89 4b 10 eb 08 8d 50 14
 <6>USB Universal Host Controller Interface driver v2.2
Comment 1 Mathieu Chouquet-Stringer 2004-05-25 15:56:22 EDT
Same problem with a Dell Optiplex GX260. I was able to get the install
going by disabling some hardware in the bios.
And now to get it to boot, I've added the following options to the kernel:
acpi=off pci=noacpi
Comment 2 Gina Lanik 2004-07-26 11:47:39 EDT
Same here with a MSI Hermes 6243. I managed to drill it down to the
following in my case:
- Intel 82845G/GL graphics chip on-board
- PCI video card, Matrox G400
/sbin/loader crashes if the display goes via the PCI card. Disabling
some hardware in the BIOS (in my case the USB controller) helped but
the install screen (where you get to decide to test the CDs) had a lot
of weird characters in the background).
Comment 3 Thomas Robertson 2004-08-18 20:20:50 EDT
Yes, I've got the same with my Dell (Dimension 2300).  Disabling the
USB crontroller got me to the install screen also, but the weird chars
made it difficult to continue.

I also see this on the FC3 test 1.
Comment 4 Dan Hollis 2004-09-06 05:39:02 EDT
confirmed. this bug still exists in FC3 test1
i've opened bug 129923 to track it for FC3.
Comment 5 Thomas Robertson 2004-11-19 13:17:35 EST
Still seeing this in the FC3 release.

What more info is needed?  I see this everytime I try to install, so I
can reproduce it simply.  

I'm happy to gather any needed info.
Comment 6 Dave Jones 2005-04-16 01:28:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.